Bug 1650621 - Review Request: fpart - a tool that helps you sort file trees and pack them into bags
Summary: Review Request: fpart - a tool that helps you sort file trees and pack them i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 29
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Carl George
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-11-16 16:18 UTC by Sam P
Modified: 2019-06-26 04:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-26 02:30:51 UTC
carl: fedora-review+


Attachments (Terms of Use)

Description Sam P 2018-11-16 16:18:56 UTC
Spec URL: https://copr-dist-git.fedorainfracloud.org/cgit/survient/fpart/fpart.git/tree/fpart.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/survient/fpart/fedora-28-x86_64/00825249-fpart/fpart-1.1.0-1.fc28.src.rpm
Description: "Fpart is a tool that helps you sort file trees and pack them into bags (called "partitions"). It is developed in C and available under the BSD license.

It splits a list of directories and file trees into a certain number of partitions, trying to produce partitions with the same size and number of files. It can also produce partitions with a given number of files or of a limited size. Fpart uses a bin packing algorithm to optimize space utilization amongst partitions.

Once generated, partitions are either printed as file lists to stdout (default) or to files. Those lists can then be used by third party programs.

Fpart also includes a live mode, which allows it to crawl very large filesystems and produce partitions in live. Hooks are available to act on those partitions (e.g. immediately start a transfer using rsync(1) or cpio(1)) without having to wait for the filesystem traversal job to be finished. Used that way, fpart can be seen as a powerful basis for a data migration tool.

Fpart can also generate lists of directories instead of files. That mode can be useful to enable usage of options requiring overall knowledge of directories such as rsync's --delete.

As a demonstration of fpart possibilities, a tool called fpsync is provided in the tools/ directory."
Fedora Account System Username:survient

Comment 1 Robert-André Mauchin 2018-11-18 17:53:17 UTC
 -

autoreconf --install
%configure

  goes in %build

 - add your own changelog entry

 - Don't repeat the name in the summary and don't add a dot at the end:

fpart.x86_64: W: summary-ended-with-dot C Fpart is a tool that sorts files and packs them into bags.
fpart.x86_64: W: name-repeated-in-summary C Fpart

 - The release info is missing from the latest changelog entry:

fpart.x86_64: W: incoherent-version-in-changelog 1.1.0 ['1.1.0-1.fc30', '1.1.0-1']



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD 2-clause "Simplified" License", "*No copyright* BSD
     (unspecified)", "Unknown or generated", "BSD 3-clause "New" or
     "Revised" License". 9 files have unknown license. Detailed output of
     licensecheck in /home/bob/packaging/review/fpart/review-
     fpart/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in fpart-
     debuginfo , fpart-debugsource
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Package should not use obsolete m4 macros
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: fpart-1.1.0-1.fc30.x86_64.rpm
          fpart-debuginfo-1.1.0-1.fc30.x86_64.rpm
          fpart-debugsource-1.1.0-1.fc30.x86_64.rpm
          fpart-1.1.0-1.fc30.src.rpm
fpart.x86_64: W: summary-ended-with-dot C Fpart is a tool that sorts files and packs them into bags.
fpart.x86_64: W: name-repeated-in-summary C Fpart
fpart.x86_64: W: incoherent-version-in-changelog 1.1.0 ['1.1.0-1.fc30', '1.1.0-1']
fpart.src: W: summary-ended-with-dot C Fpart is a tool that sorts files and packs them into bags.
fpart.src: W: name-repeated-in-summary C Fpart
4 packages and 0 specfiles checked; 0 errors, 5 warnings.

Comment 3 Robert-André Mauchin 2018-11-20 02:00:12 UTC
Package approved.


You still need to find a sponsor.

Comment 4 Sam P 2018-11-20 02:04:16 UTC
Understood Robert-André. I'll check among my colleagues for guidance. That said if a sponsor sees this and is willing to assist it would be greatly appreciated.

Comment 5 Ganael Laplanche 2019-04-18 16:34:07 UTC
Hello there,

I would be glad to see a volunteer to sponsor fpart package :)

Anyone ?

Comment 6 Carl George 2019-04-29 16:32:54 UTC
I have sponsored Sam into the packagers group, and will co-maintain the fpart package with him.

Comment 7 Carl George 2019-04-29 16:46:55 UTC
fedpkg is complaining about the review flag being too old.  I have also review the spec file, it's still the latest upstream version.

Comment 8 Gwyn Ciesla 2019-04-29 18:05:35 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/fpart

Comment 9 Ganael Laplanche 2019-04-30 11:43:00 UTC
Good news, thanks a lot!

Comment 10 Fedora Update System 2019-04-30 13:35:08 UTC
fpart-1.1.0-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a7d84caa0

Comment 11 Fedora Update System 2019-04-30 13:35:13 UTC
fpart-1.1.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-bfec7de9b8

Comment 12 Fedora Update System 2019-04-30 13:35:18 UTC
fpart-1.1.0-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e99ce00c95

Comment 13 Fedora Update System 2019-04-30 13:35:23 UTC
fpart-1.1.0-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f04aba8735

Comment 14 Fedora Update System 2019-04-30 13:35:28 UTC
fpart-1.1.0-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7548e56540

Comment 15 Fedora Update System 2019-05-01 01:44:12 UTC
fpart-1.1.0-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f04aba8735

Comment 16 Fedora Update System 2019-05-01 01:49:17 UTC
fpart-1.1.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-bfec7de9b8

Comment 17 Fedora Update System 2019-05-01 02:23:15 UTC
fpart-1.1.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e99ce00c95

Comment 18 Fedora Update System 2019-05-01 02:28:22 UTC
fpart-1.1.0-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7548e56540

Comment 19 Fedora Update System 2019-05-01 03:21:37 UTC
fpart-1.1.0-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6a7d84caa0

Comment 20 Fedora Update System 2019-06-26 02:30:51 UTC
fpart-1.1.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2019-06-26 03:21:47 UTC
fpart-1.1.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2019-06-26 04:06:46 UTC
fpart-1.1.0-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2019-06-26 04:11:00 UTC
fpart-1.1.0-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.